Name: mythes-en
Summary: English thesaurus
Version: 3.0
Release: %mkrel 19
License: MIT and Public Domain and (GPL+ or Artistic)
Group:  Text tools
URL: https://www.danielnaber.de/wn2ooo/
Source: https://www.danielnaber.de/wn2ooo/wn2ooo20050723.tgz
Patch0: mythes-en.python3.patch
BuildArch: noarch
BuildRequires: python3
BuildRequires: perl
BuildRequires: wordnet = %{version}

Requires: mythes
Requires: locales-en

%description
English thesaurus.

%prep
%autosetup -p1 -c %{name}-%{version}

%build
export WNHOME=%{_datadir}/WordNet
%{__python3} wn2ooo/wn2ooo.py > th_en_US_v2.dat
cat th_en_US_v2.dat | perl wn2ooo/th_gen_idx.pl > th_en_US_v2.idx


%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/mythes
cp -p th_en_US_v2.* $RPM_BUILD_ROOT/%{_datadir}/mythes

pushd $RPM_BUILD_ROOT/%{_datadir}/mythes/
en_US_aliases="en_AG en_AU en_BS en_BW en_BZ en_CA en_DK en_GB en_GH en_IE en_IN en_JM en_NA en_NG en_NZ en_PH en_SG en_TT en_ZA en_ZW"
for lang in $en_US_aliases; do
        ln -s th_en_US_v2.idx "th_"$lang"_v2.idx"
        ln -s th_en_US_v2.dat "th_"$lang"_v2.dat"
done
popd

%files
%doc wn2ooo/LICENSE_th_gen_idx.txt wn2ooo/README.txt
%{_datadir}/mythes/*



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 3.0-19.mga10
+ Revision: 2212289
- Mageia 10 Mass Rebuild

* Tue Mar 29 2022 umeabot <umeabot> 3.0-18.mga9
+ Revision: 1832054
- Mageia 9 Mass Rebuild

* Tue Feb 25 2020 daviddavid <daviddavid> 3.0-17.mga8
+ Revision: 1550273
- port to python3
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 3.0-16.mga7
+ Revision: 1264617
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 3.0-15.mga6
+ Revision: 934791
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.0-14.mga5
+ Revision: 747180
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0-13.mga5
+ Revision: 682739
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.0-12.mga4
+ Revision: 522916
- Mageia 4 Mass Rebuild

* Fri Mar 29 2013 tv <tv> 3.0-11.mga3
+ Revision: 406102
- requires locales-mythes-en (mga#9540)

* Sat Jan 12 2013 umeabot <umeabot> 3.0-10.mga3
+ Revision: 360593
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 12 2011 dmorgan <dmorgan> 3.0-9.mga1
+ Revision: 69970
- Rebuild because of missing package

* Sat Mar 12 2011 dmorgan <dmorgan> 3.0-8.mga1
+ Revision: 68527
- Fix WordNet path
- imported package mythes-en


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Apr 07 2010 Caolan McNamara <caolanm@redhat.com> - 3.0-7
- clarify licence of tools

* Sat Apr 03 2010 Caolan McNamara <caolanm@redhat.com> - 3.0-6
- mythes now owns /usr/share/mythes

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 12 2009 Caolan McNamara <caolanm@redhat.com> - 3.0-4
- extend coverage

* Wed Jun 10 2009 Caolan McNamara <caolanm@redhat.com> - 3.0-3
- rebuild against wordnet package

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Nov 28 2007 Caolan McNamara <caolanm@redhat.com> - 3.0-1
- initial version
